%define upstream_name Calendar
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.5
Release:     	%mkrel 10
Summary:    	A package for building Calendar data structures (irrespective of output)
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Calendar-%{version}.tgz
URL: 		http://pear.php.net/package/Calendar
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: noarch

%description
Calendar provides an API for building Calendar data structures. Using
the simple iterator and it's "query" API, a user interface can easily be
built on top of the calendar data structure, at the same time easily
connecting it
to some kind of underlying data store, where "event" information is
being held.

It provides different calculation "engines" the default being based on
Unix timestamps (offering fastest performance) with an alternative using
PEAR::Date
which extends the calendar past the limitations of Unix timestamps. Other
engines
should be implementable for other types of calendar (e.g. a Chinese
Calendar based
on lunar cycles).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Calendar.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Calendar.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Calendar
fi

%files
%doc docs/Calendar/*
%{peardir}/*
%{xmldir}/Calendar.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.5-10.mga8
+ Revision: 1498648
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.5-9.mga7
+ Revision: 1273043
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.5.5-8.mga6
+ Revision: 946815
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5-7.mga5
+ Revision: 740072
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.5.5-6.mga5
+ Revision: 734033
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.5-5.mga5
+ Revision: 687183
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 spuhler <spuhler> 0.5.5-4.mga5
+ Revision: 653292
- changed BuildRequires: php to php-pear
- added Requires: php-pear

* Fri Oct 18 2013 umeabot <umeabot> 0.5.5-3.mga4
+ Revision: 516581
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.5-2.mga3
+ Revision: 375898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 spuhler <spuhler> 0.5.5-1.mga2
+ Revision: 195172
- upgrade to 0.5.5
  pearized spec

* Sun Jan 30 2011 spuhler <spuhler> 0.5.4-4.mga1
+ Revision: 44603
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Calendar


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.4-4mdv2011.0
+ Revision: 613616
- the mass rebuild of 2010.1 packages

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-3mdv2010.1
+ Revision: 478289
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.5.4-2mdv2010.0
+ Revision: 440946
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.5.4-1mdv2009.1
+ Revision: 368247
- Update php pear Calendar

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-3mdv2009.1
+ Revision: 321904
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-2mdv2009.0
+ Revision: 236806
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-1mdv2007.0
+ Revision: 81405
- Import php-pear-Calendar

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-1mdk
- 0.5.3
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-1mdk
- initial Mandriva package (PLD import)

